# Uses of Enum Class
org.apache.sysds.runtime.io.FileFormatPropertiesMM.MMFormat

Packages that use FileFormatPropertiesMM.MMFormat
Package
Description
org.apache.sysds.runtime.io

## Uses of FileFormatPropertiesMM.MMFormat in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io that return FileFormatPropertiesMM.MMFormat
Modifier and Type
Method
Description
`FileFormatPropertiesMM.MMFormat`
FileFormatPropertiesMM.`getFormat()`
`static FileFormatPropertiesMM.MMFormat`
FileFormatPropertiesMM.MMFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileFormatPropertiesMM.MMFormat[]`
FileFormatPropertiesMM.MMFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.io with parameters of type FileFormatPropertiesMM.MMFormat
Modifier
Constructor
Description
``
`FileFormatPropertiesMM(FileFormatPropertiesMM.MMFormat fmt, FileFormatPropertiesMM.MMField field, FileFormatPropertiesMM.MMSymmetry symmetry)`